Deploy WordPress plugin
Deploy a WordPress plugin from an already uploaded directory.
Deploy a WordPress plugin from an already uploaded directory.
This endpoint allows you to deploy a WordPress plugin that has been uploaded to the website's directory. The plugin will be activated and made available in the WordPress admin panel.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
usernamestringRequiredExample:
u123456789domainstringRequiredExample:
Domain name
mydomain.tldBody
slugstringRequiredExample:
Slug of the plugin
my-pluginplugin_pathstringRequiredExample:
Relative path to the plugin directory from wp-content/plugins
my-plugin-newResponses
200
Success response
application/json
messagestringOptionalExample:
Request accepted401
Unauthenticated response
application/json
422
Validation error response
application/json
500
Error response
application/json
post/api/hosting/v1/accounts/{username}/websites/{domain}/wordpress/plugins/deploy
POST /api/hosting/v1/accounts/{username}/websites/{domain}/wordpress/plugins/deploy HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 50
{
"slug": "my-plugin",
"plugin_path": "my-plugin-new"
}{
"message": "Request accepted"
}Last updated
Was this helpful?